diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -5685,16 +5704,16 @@ static int mov_read_tfhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     set_frag_stream(&c->frag_index, track_id);
 
     frag->base_data_offset = flags & MOV_TFHD_BASE_DATA_OFFSET ?
-                             avio_rb64(pb) : flags & MOV_TFHD_DEFAULT_BASE_IS_MOOF ?
-                             frag->moof_offset : frag->implicit_offset;
-    frag->stsd_id  = flags & MOV_TFHD_STSD_ID ? avio_rb32(pb) : trex->stsd_id;
+        avio_rb64(pb) : flags & MOV_TFHD_DEFAULT_BASE_IS_MOOF ?
+        frag->moof_offset : frag->implicit_offset;
+    frag->stsd_id = flags & MOV_TFHD_STSD_ID ? avio_rb32(pb) : trex->stsd_id;
 
     frag->duration = flags & MOV_TFHD_DEFAULT_DURATION ?
-                     avio_rb32(pb) : trex->duration;
-    frag->size     = flags & MOV_TFHD_DEFAULT_SIZE ?
-                     avio_rb32(pb) : trex->size;
-    frag->flags    = flags & MOV_TFHD_DEFAULT_FLAGS ?
-                     avio_rb32(pb) : trex->flags;
+        avio_rb32(pb) : trex->duration;
+    frag->size = flags & MOV_TFHD_DEFAULT_SIZE ?
+        avio_rb32(pb) : trex->size;
+    frag->flags = flags & MOV_TFHD_DEFAULT_FLAGS ?
+        avio_rb32(pb) : trex->flags;
     av_log(c->fc, AV_LOG_TRACE, "frag flags 0x%x\n", frag->flags);
 
     frag_stream_info = get_current_frag_stream_info(&c->frag_index);
@@ -5705,10 +5724,10 @@ static int mov_read_tfhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_chap(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_chap(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     unsigned i, num;
-    void *new_tracks;
+    void* new_tracks;
 
     num = atom.size / 4;
     if (!(new_tracks = av_malloc_array(num, sizeof(int))))
@@ -5726,15 +5745,15 @@ static int mov_read_chap(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_trex(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_trex(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVTrackExt *trex;
+    MOVTrackExt* trex;
     int err;
 
-    if ((uint64_t)c->trex_count+1 >= UINT_MAX / sizeof(*c->trex_data))
+    if ((uint64_t)c->trex_count + 1 >= UINT_MAX / sizeof(*c->trex_data))
         return AVERROR_INVALIDDATA;
     if ((err = av_reallocp_array(&c->trex_data, c->trex_count + 1,
-                                 sizeof(*c->trex_data))) < 0) {
+        sizeof(*c->trex_data))) < 0) {
         c->trex_count = 0;
         return err;
     }
@@ -5745,20 +5764,20 @@ static int mov_read_trex(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     avio_r8(pb); /* version */
     avio_rb24(pb); /* flags */
     trex->track_id = avio_rb32(pb);
-    trex->stsd_id  = avio_rb32(pb);
+    trex->stsd_id = avio_rb32(pb);
     trex->duration = avio_rb32(pb);
-    trex->size     = avio_rb32(pb);
-    trex->flags    = avio_rb32(pb);
+    trex->size = avio_rb32(pb);
+    trex->flags = avio_rb32(pb);
     return 0;
 }
 
-static int mov_read_tfdt(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_tfdt(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVFragment *frag = &c->fragment;
-    AVStream *st = NULL;
-    MOVStreamContext *sc;
+    MOVFragment* frag = &c->fragment;
+    AVStream* st = NULL;
+    MOVStreamContext* sc;
     int version, i;
-    MOVFragmentStreamInfo * frag_stream_info;
+    MOVFragmentStreamInfo* frag_stream_info;
     int64_t base_media_decode_time;
 
     for (i = 0; i < c->fc->nb_streams; i++) {
@@ -5779,7 +5798,8 @@ static int mov_read_tfdt(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     avio_rb24(pb); /* flags */
     if (version) {
         base_media_decode_time = avio_rb64(pb);
-    } else {
+    }
+    else {
         base_media_decode_time = avio_rb32(pb);
     }
 
@@ -5791,13 +5811,13 @@ static int mov_read_tfdt(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_trun(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVFragment *frag = &c->fragment;
-    AVStream *st = NULL;
-    FFStream *sti = NULL;
-    MOVStreamContext *sc;
-    MOVTimeToSample *tts_data;
+    MOVFragment* frag = &c->fragment;
+    AVStream* st = NULL;
+    FFStream* sti = NULL;
+    MOVStreamContext* sc;
+    MOVTimeToSample* tts_data;
     uint64_t offset;
     int64_t dts, pts = AV_NOPTS_VALUE;
     int data_offset = 0;
@@ -5807,8 +5827,8 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     int next_frag_index = -1, index_entry_pos;
     size_t requested_size;
     size_t old_allocated_size;
-    AVIndexEntry *new_entries;
-    MOVFragmentStreamInfo * frag_stream_info;
+    AVIndexEntry* new_entries;
+    MOVFragmentStreamInfo* frag_stream_info;
 
     if (!frag->found_tfhd) {
         av_log(c->fc, AV_LOG_ERROR, "trun track id unknown, no tfhd was found\n");
@@ -5828,7 +5848,7 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return 0;
     }
     sc = st->priv_data;
-    if (sc->pseudo_stream_id+1 != frag->stsd_id && sc->pseudo_stream_id != -1)
+    if (sc->pseudo_stream_id + 1 != frag->stsd_id && sc->pseudo_stream_id != -1)
         return 0;
 
     // Find the next frag_index index that has a valid index_entry for
@@ -5853,30 +5873,33 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     entries = avio_rb32(pb);
     av_log(c->fc, AV_LOG_TRACE, "flags 0x%x entries %u\n", flags, entries);
 
-    if ((uint64_t)entries+sc->tts_count >= UINT_MAX/sizeof(*sc->tts_data))
+    if ((uint64_t)entries + sc->tts_count >= UINT_MAX / sizeof(*sc->tts_data))
         return AVERROR_INVALIDDATA;
-    if (flags & MOV_TRUN_DATA_OFFSET)        data_offset        = avio_rb32(pb);
+    if (flags & MOV_TRUN_DATA_OFFSET)        data_offset = avio_rb32(pb);
     if (flags & MOV_TRUN_FIRST_SAMPLE_FLAGS) first_sample_flags = avio_rb32(pb);
 
     frag_stream_info = get_current_frag_stream_info(&c->frag_index);
     if (frag_stream_info) {
         if (frag_stream_info->next_trun_dts != AV_NOPTS_VALUE) {
             dts = frag_stream_info->next_trun_dts - sc->time_offset;
-        } else if (frag_stream_info->first_tfra_pts != AV_NOPTS_VALUE &&
+        }
+        else if (frag_stream_info->first_tfra_pts != AV_NOPTS_VALUE &&
             c->use_mfra_for == FF_MOV_FLAG_MFRA_PTS) {
             pts = frag_stream_info->first_tfra_pts;
             av_log(c->fc, AV_LOG_DEBUG, "found mfra time %"PRId64
-                    ", using it for pts\n", pts);
-        } else if (frag_stream_info->first_tfra_pts != AV_NOPTS_VALUE &&
+                ", using it for pts\n", pts);
+        }
+        else if (frag_stream_info->first_tfra_pts != AV_NOPTS_VALUE &&
             c->use_mfra_for == FF_MOV_FLAG_MFRA_DTS) {
             dts = frag_stream_info->first_tfra_pts;
             av_log(c->fc, AV_LOG_DEBUG, "found mfra time %"PRId64
-                    ", using it for dts\n", pts);
-        } else {
+                ", using it for dts\n", pts);
+        }
+        else {
             int has_tfdt = frag_stream_info->tfdt_dts != AV_NOPTS_VALUE;
             int has_sidx = frag_stream_info->sidx_pts != AV_NOPTS_VALUE;
             int fallback_tfdt = !c->use_tfdt && !has_sidx && has_tfdt;
-            int fallback_sidx =  c->use_tfdt && !has_tfdt && has_sidx;
+            int fallback_sidx = c->use_tfdt && !has_tfdt && has_sidx;
 
             if (fallback_sidx) {
                 av_log(c->fc, AV_LOG_DEBUG, "use_tfdt set but no tfdt found, using sidx instead\n");
@@ -5888,25 +5911,28 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             if (has_tfdt && c->use_tfdt || fallback_tfdt) {
                 dts = frag_stream_info->tfdt_dts - sc->time_offset;
                 av_log(c->fc, AV_LOG_DEBUG, "found tfdt time %"PRId64
-                        ", using it for dts\n", dts);
-            } else if (has_sidx && !c->use_tfdt || fallback_sidx) {
+                    ", using it for dts\n", dts);
+            }
+            else if (has_sidx && !c->use_tfdt || fallback_sidx) {
                 // FIXME: sidx earliest_presentation_time is *PTS*, s.b.
                 // pts = frag_stream_info->sidx_pts;
-                dts = frag_stream_info->sidx_pts;
+                dts = frag_stream_info->sidx_pts - sc->time_offset;
                 av_log(c->fc, AV_LOG_DEBUG, "found sidx time %"PRId64
-                        ", using it for dts\n", frag_stream_info->sidx_pts);
-            } else {
+                    ", using it for dts\n", frag_stream_info->sidx_pts);
+            }
+            else {
                 dts = sc->track_end - sc->time_offset;
                 av_log(c->fc, AV_LOG_DEBUG, "found track end time %"PRId64
-                        ", using it for dts\n", dts);
+                    ", using it for dts\n", dts);
             }
         }
-    } else {
+    }
+    else {
         dts = sc->track_end - sc->time_offset;
         av_log(c->fc, AV_LOG_DEBUG, "found track end time %"PRId64
-                ", using it for dts\n", dts);
+            ", using it for dts\n", dts);
     }
-    offset   = frag->base_data_offset + data_offset;
+    offset = frag->base_data_offset + data_offset;
     distance = 0;
     av_log(c->fc, AV_LOG_TRACE, "first sample flags 0x%x\n", first_sample_flags);
 
@@ -5920,16 +5946,16 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     requested_size = (sti->nb_index_entries + entries) * sizeof(AVIndexEntry);
     new_entries = av_fast_realloc(sti->index_entries,
-                                  &sti->index_entries_allocated_size,
-                                  requested_size);
+        &sti->index_entries_allocated_size,
+        requested_size);
     if (!new_entries)
         return AVERROR(ENOMEM);
-    sti->index_entries= new_entries;
+    sti->index_entries = new_entries;
 
     requested_size = (sti->nb_index_entries + entries) * sizeof(*sc->tts_data);
     old_allocated_size = sc->tts_allocated_size;
     tts_data = av_fast_realloc(sc->tts_data, &sc->tts_allocated_size,
-                                requested_size);
+        requested_size);
     if (!tts_data)
         return AVERROR(ENOMEM);
     sc->tts_data = tts_data;
@@ -5938,17 +5964,17 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     // zero valued entries. This ensures clips which mix boxes with and
     // without time to sample entries don't pickup uninitialized data.
     memset((uint8_t*)(sc->tts_data) + old_allocated_size, 0,
-           sc->tts_allocated_size - old_allocated_size);
+        sc->tts_allocated_size - old_allocated_size);
 
     if (index_entry_pos < sti->nb_index_entries) {
         // Make hole in index_entries and tts_data for new samples
         memmove(sti->index_entries + index_entry_pos + entries,
-                sti->index_entries + index_entry_pos,
-                sizeof(*sti->index_entries) *
-                (sti->nb_index_entries - index_entry_pos));
+            sti->index_entries + index_entry_pos,
+            sizeof(*sti->index_entries) *
+            (sti->nb_index_entries - index_entry_pos));
         memmove(sc->tts_data + index_entry_pos + entries,
-                sc->tts_data + index_entry_pos,
-                sizeof(*sc->tts_data) * (sc->tts_count - index_entry_pos));
+            sc->tts_data + index_entry_pos,
+            sizeof(*sc->tts_data) * (sc->tts_count - index_entry_pos));
         if (index_entry_pos < sc->current_sample) {
             sc->current_sample += entries;
         }
@@ -5968,7 +5994,7 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
 
     if (index_entry_pos > 0)
-        prev_dts = sti->index_entries[index_entry_pos-1].timestamp;
+        prev_dts = sti->index_entries[index_entry_pos - 1].timestamp;
 
     for (i = 0; i < entries && !pb->eof_reached; i++) {
         unsigned sample_size = frag->size;
@@ -5979,32 +6005,33 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         int index_entry_flags = 0;
 
         if (flags & MOV_TRUN_SAMPLE_DURATION) sample_duration = avio_rb32(pb);
-        if (flags & MOV_TRUN_SAMPLE_SIZE)     sample_size     = avio_rb32(pb);
-        if (flags & MOV_TRUN_SAMPLE_FLAGS)    sample_flags    = avio_rb32(pb);
-        if (flags & MOV_TRUN_SAMPLE_CTS)      ctts_duration   = avio_rb32(pb);
+        if (flags & MOV_TRUN_SAMPLE_SIZE)     sample_size = avio_rb32(pb);
+        if (flags & MOV_TRUN_SAMPLE_FLAGS)    sample_flags = avio_rb32(pb);
+        if (flags & MOV_TRUN_SAMPLE_CTS)      ctts_duration = avio_rb32(pb);
 
         mov_update_dts_shift(sc, ctts_duration, c->fc);
         if (pts != AV_NOPTS_VALUE) {
             dts = pts - sc->dts_shift;
             if (flags & MOV_TRUN_SAMPLE_CTS) {
                 dts -= ctts_duration;
-            } else {
+            }
+            else {
                 dts -= sc->time_offset;
             }
             av_log(c->fc, AV_LOG_DEBUG,
-                   "pts %"PRId64" calculated dts %"PRId64
-                   " sc->dts_shift %d ctts.duration %d"
-                   " sc->time_offset %"PRId64
-                   " flags & MOV_TRUN_SAMPLE_CTS %d\n",
-                   pts, dts,
-                   sc->dts_shift, ctts_duration,
-                   sc->time_offset, flags & MOV_TRUN_SAMPLE_CTS);
+                "pts %"PRId64" calculated dts %"PRId64
+                " sc->dts_shift %d ctts.duration %d"
+                " sc->time_offset %"PRId64
+                " flags & MOV_TRUN_SAMPLE_CTS %d\n",
+                pts, dts,
+                sc->dts_shift, ctts_duration,
+                sc->time_offset, flags & MOV_TRUN_SAMPLE_CTS);
             pts = AV_NOPTS_VALUE;
         }
 
         keyframe =
-                !(sample_flags & (MOV_FRAG_SAMPLE_FLAG_IS_NON_SYNC |
-                                  MOV_FRAG_SAMPLE_FLAG_DEPENDS_YES));
+            !(sample_flags & (MOV_FRAG_SAMPLE_FLAG_IS_NON_SYNC |
+                MOV_FRAG_SAMPLE_FLAG_DEPENDS_YES));
         if (keyframe) {
             distance = 0;
             index_entry_flags |= AVINDEX_KEYFRAME;
@@ -6014,9 +6041,9 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         if (prev_dts >= dts)
             index_entry_flags |= AVINDEX_DISCARD_FRAME;
 
-        sti->index_entries[index_entry_pos].pos   = offset;
+        sti->index_entries[index_entry_pos].pos = offset;
         sti->index_entries[index_entry_pos].timestamp = dts;
-        sti->index_entries[index_entry_pos].size  = sample_size;
+        sti->index_entries[index_entry_pos].size = sample_size;
         sti->index_entries[index_entry_pos].min_distance = distance;
         sti->index_entries[index_entry_pos].flags = index_entry_flags;
 
@@ -6026,8 +6053,8 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         index_entry_pos++;
 
         av_log(c->fc, AV_LOG_TRACE, "AVIndex stream %d, sample %d, offset %"PRIx64", dts %"PRId64", "
-                "size %u, distance %d, keyframe %d\n", st->index,
-                index_entry_pos, offset, dts, sample_size, distance, keyframe);
+            "size %u, distance %d, keyframe %d\n", st->index,
+            index_entry_pos, offset, dts, sample_size, distance, keyframe);
         distance++;
         if (av_sat_add64(dts, sample_duration) != dts + (uint64_t)sample_duration)
             return AVERROR_INVALIDDATA;
@@ -6036,12 +6063,14 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         dts += sample_duration;
         offset += sample_size;
         sc->data_size += sample_size;
-
+        sc->total_data_size += sample_size;
+        sc->fragment_duration_sum += sample_duration;
+        sc->fragment_size_sum += sample_size;
         if (sample_duration <= INT64_MAX - sc->duration_for_fps &&
             1 <= INT_MAX - sc->nb_frames_for_fps
-        ) {
+            ) {
             sc->duration_for_fps += sample_duration;
-            sc->nb_frames_for_fps ++;
+            sc->nb_frames_for_fps++;
         }
     }
     if (frag_stream_info)
@@ -6051,13 +6080,13 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         // leave in index_entries and tts_data
         int gap = entries - i;
         memmove(sti->index_entries + index_entry_pos,
-                sti->index_entries + index_entry_pos + gap,
-                sizeof(*sti->index_entries) *
-                (sti->nb_index_entries - (index_entry_pos + gap)));
+            sti->index_entries + index_entry_pos + gap,
+            sizeof(*sti->index_entries) *
+            (sti->nb_index_entries - (index_entry_pos + gap)));
         memmove(sc->tts_data + index_entry_pos,
-                sc->tts_data + index_entry_pos + gap,
-                sizeof(*sc->tts_data) *
-                (sc->tts_count - (index_entry_pos + gap)));
+            sc->tts_data + index_entry_pos + gap,
+            sizeof(*sc->tts_data) *
+            (sc->tts_count - (index_entry_pos + gap)));
 
         sti->nb_index_entries -= gap;
         sc->tts_count -= gap;
@@ -6072,7 +6101,7 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     // fragment that overlap with AVINDEX_DISCARD_FRAME
     prev_dts = AV_NOPTS_VALUE;
     if (index_entry_pos > 0)
-        prev_dts = sti->index_entries[index_entry_pos-1].timestamp;
+        prev_dts = sti->index_entries[index_entry_pos - 1].timestamp;
     for (int i = index_entry_pos; i < sti->nb_index_entries; i++) {
         if (prev_dts < sti->index_entries[i].timestamp)
             break;
@@ -6083,7 +6112,7 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     // the index_entry recorded for all subsequent moof must
     // be incremented by the number of entries inserted.
     fix_frag_index_entries(&c->frag_index, next_frag_index,
-                           frag->track_id, entries);
+        frag->track_id, entries);
 
     if (pb->eof_reached) {
         av_log(c->fc, AV_LOG_WARNING, "reached eof, corrupted TRUN atom\n");
@@ -6099,16 +6128,16 @@ static int mov_read_trun(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_sidx(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_sidx(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int64_t stream_size = avio_size(pb);
     int64_t offset = av_sat_add64(avio_tell(pb), atom.size), pts, timestamp;
     uint8_t version, is_complete;
     int64_t offadd;
     unsigned i, j, track_id, item_count;
-    AVStream *st = NULL;
-    AVStream *ref_st = NULL;
-    MOVStreamContext *sc, *ref_sc = NULL;
+    AVStream* st = NULL;
+    AVStream* ref_st = NULL;
+    MOVStreamContext* sc, * ref_sc = NULL;
     AVRational timescale;
 
     version = avio_r8(pb);
@@ -6143,10 +6172,11 @@ static int mov_read_sidx(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (version == 0) {
         pts = avio_rb32(pb);
-        offadd= avio_rb32(pb);
-    } else {
+        offadd = avio_rb32(pb);
+    }
+    else {
         pts = avio_rb64(pb);
-        offadd= avio_rb64(pb);
+        offadd = avio_rb64(pb);
     }
     if (av_sat_add64(offset, offadd) != offset + (uint64_t)offadd)
         return AVERROR_INVALIDDATA;
@@ -6161,7 +6191,7 @@ static int mov_read_sidx(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     for (i = 0; i < item_count; i++) {
         int index;
-        MOVFragmentStreamInfo * frag_stream_info;
+        MOVFragmentStreamInfo* frag_stream_info;
         uint32_t size = avio_rb32(pb);
         uint32_t duration = avio_rb32(pb);
         if (size & 0x80000000) {
@@ -6178,19 +6208,23 @@ static int mov_read_sidx(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
         if (av_sat_add64(offset, size) != offset + (uint64_t)size ||
             av_sat_add64(pts, duration) != pts + (uint64_t)duration
-        )
+            )
             return AVERROR_INVALIDDATA;
         offset += size;
         pts += duration;
     }
 
     st->duration = sc->track_end = pts;
+    if (sc->total_data_size > 0 && st->duration > 0) {
+        int64_t bitrate = sc->total_data_size * 8 * sc->time_scale / st->duration;
+        av_log(c->fc, AV_LOG_INFO, "Calculated full stream bit_rate=%"PRId64"\n", bitrate);
+    }
 
     sc->has_sidx = 1;
 
     // See if the remaining bytes are just an mfra which we can ignore.
     is_complete = offset == stream_size;
-    if (!is_complete && (pb->seekable & AVIO_SEEKABLE_NORMAL) && stream_size > 0 ) {
+    if (!is_complete && (pb->seekable & AVIO_SEEKABLE_NORMAL) && stream_size > 0) {
         int64_t ret;
         int64_t original_pos = avio_tell(pb);
         if (!c->have_read_mfra_size) {
@@ -6209,9 +6243,9 @@ static int mov_read_sidx(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         // Find first entry in fragment index that came from an sidx.
         // This will pretty much always be the first entry.
         for (i = 0; i < c->frag_index.nb_items; i++) {
-            MOVFragmentIndexItem * item = &c->frag_index.item[i];
+            MOVFragmentIndexItem* item = &c->frag_index.item[i];
             for (j = 0; ref_st == NULL && j < item->nb_stream_info; j++) {
-                MOVFragmentStreamInfo * si;
+                MOVFragmentStreamInfo* si;
                 si = &item->stream_info[j];
                 if (si->sidx_pts != AV_NOPTS_VALUE) {
                     ref_st = c->fc->streams[j];
@@ -6228,8 +6262,7 @@ static int mov_read_sidx(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             }
         }
 
-        if (offadd == 0)
-            c->frag_index.complete = 1;
+        c->frag_index.complete = 1;
     }
 
     return 0;
@@ -6238,7 +6271,7 @@ static int mov_read_sidx(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 /* this atom should be null (from specs), but some buggy files put the 'moov' atom inside it... */
 /* like the files created with Adobe Premiere 5.0, for samples see */
 /* http://graphics.tudelft.nl/~wouter/publications/soundtests/ */
-static int mov_read_wide(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_wide(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int err;
 
@@ -6250,7 +6283,7 @@ static int mov_read_wide(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
     atom.type = avio_rl32(pb);
     atom.size -= 8;
-    if (atom.type != MKTAG('m','d','a','t')) {
+    if (atom.type != MKTAG('m', 'd', 'a', 't')) {
         avio_skip(pb, atom.size);
         return 0;
     }
@@ -6258,24 +6291,24 @@ static int mov_read_wide(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return err;
 }
 
-static int mov_read_cmov(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_cmov(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
 #if CONFIG_ZLIB
     FFIOContext ctx;
-    uint8_t *cmov_data;
-    uint8_t *moov_data; /* uncompressed data */
+    uint8_t* cmov_data;
+    uint8_t* moov_data; /* uncompressed data */
     long cmov_len, moov_len;
     int ret = -1;
 
     avio_rb32(pb); /* dcom atom */
-    if (avio_rl32(pb) != MKTAG('d','c','o','m'))
+    if (avio_rl32(pb) != MKTAG('d', 'c', 'o', 'm'))
         return AVERROR_INVALIDDATA;
-    if (avio_rl32(pb) != MKTAG('z','l','i','b')) {
+    if (avio_rl32(pb) != MKTAG('z', 'l', 'i', 'b')) {
         av_log(c->fc, AV_LOG_ERROR, "unknown compression for cmov atom !\n");
         return AVERROR_INVALIDDATA;
     }
     avio_rb32(pb); /* cmvd atom */
-    if (avio_rl32(pb) != MKTAG('c','m','v','d'))
+    if (avio_rl32(pb) != MKTAG('c', 'm', 'v', 'd'))
         return AVERROR_INVALIDDATA;
     moov_len = avio_rb32(pb); /* uncompressed size */
     cmov_len = atom.size - 6 * 4;
@@ -6293,11 +6326,11 @@ static int mov_read_cmov(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         goto free_and_return;
 
     ret = AVERROR_INVALIDDATA;
-    if (uncompress (moov_data, (uLongf *) &moov_len, (const Bytef *)cmov_data, cmov_len) != Z_OK)
+    if (uncompress(moov_data, (uLongf*)&moov_len, (const Bytef*)cmov_data, cmov_len) != Z_OK)
         goto free_and_return;
     ffio_init_read_context(&ctx, moov_data, moov_len);
     ctx.pub.seekable = AVIO_SEEKABLE_NORMAL;
-    atom.type = MKTAG('m','o','o','v');
+    atom.type = MKTAG('m', 'o', 'o', 'v');
     atom.size = moov_len;
     ret = mov_read_default(c, &ctx.pub, atom);
 free_and_return:
@@ -6311,15 +6344,15 @@ free_and_return:
 }
 
 /* edit list atom */
-static int mov_read_elst(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_elst(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVStreamContext *sc;
+    MOVStreamContext* sc;
     int i, edit_count, version;
     int64_t elst_entry_size;
 
     if (c->fc->nb_streams < 1 || c->ignore_editlist)
         return 0;
-    sc = c->fc->streams[c->fc->nb_streams-1]->priv_data;
+    sc = c->fc->streams[c->fc->nb_streams - 1]->priv_data;
 
     version = avio_r8(pb); /* version */
     avio_rb24(pb); /* flags */
@@ -6330,9 +6363,10 @@ static int mov_read_elst(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (atom.size != edit_count * elst_entry_size) {
         if (c->fc->strict_std_compliance >= FF_COMPLIANCE_STRICT) {
             av_log(c->fc, AV_LOG_ERROR, "Invalid edit list entry_count: %d for elst atom of size: %"PRId64" bytes.\n",
-                   edit_count, atom.size + 8);
+                edit_count, atom.size + 8);
             return AVERROR_INVALIDDATA;
-        } else {
+        }
+        else {
             edit_count = atom.size / elst_entry_size;
             if (edit_count * elst_entry_size != atom.size) {
                 av_log(c->fc, AV_LOG_WARNING, "ELST atom of %"PRId64" bytes, bigger than %d entries.\n", atom.size, edit_count);
@@ -6352,31 +6386,32 @@ static int mov_read_elst(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     av_log(c->fc, AV_LOG_TRACE, "track[%u].edit_count = %i\n", c->fc->nb_streams - 1, edit_count);
     for (i = 0; i < edit_count && atom.size > 0 && !pb->eof_reached; i++) {
-        MOVElst *e = &sc->elst_data[i];
+        MOVElst* e = &sc->elst_data[i];
 
         if (version == 1) {
             e->duration = avio_rb64(pb);
-            e->time     = avio_rb64(pb);
+            e->time = avio_rb64(pb);
             atom.size -= 16;
-        } else {
+        }
+        else {
             e->duration = avio_rb32(pb); /* segment duration */
-            e->time     = (int32_t)avio_rb32(pb); /* media time */
+            e->time = (int32_t)avio_rb32(pb); /* media time */
             atom.size -= 8;
         }
         e->rate = avio_rb32(pb) / 65536.0;
         atom.size -= 4;
         av_log(c->fc, AV_LOG_TRACE, "duration=%"PRId64" time=%"PRId64" rate=%f\n",
-               e->duration, e->time, e->rate);
+            e->duration, e->time, e->rate);
 
         if (e->time < 0 && e->time != -1 &&
             c->fc->strict_std_compliance >= FF_COMPLIANCE_STRICT) {
             av_log(c->fc, AV_LOG_ERROR, "Track %d, edit %d: Invalid edit list media time=%"PRId64"\n",
-                   c->fc->nb_streams-1, i, e->time);
+                c->fc->nb_streams - 1, i, e->time);
             return AVERROR_INVALIDDATA;
         }
         if (e->duration < 0) {
             av_log(c->fc, AV_LOG_ERROR, "Track %d, edit %d: Invalid edit list duration=%"PRId64"\n",
-                   c->fc->nb_streams-1, i, e->duration);
+                c->fc->nb_streams - 1, i, e->duration);
             return AVERROR_INVALIDDATA;
         }
     }
@@ -6385,9 +6420,9 @@ static int mov_read_elst(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_tmcd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_tmcd(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVStreamContext *sc;
+    MOVStreamContext* sc;
 
     if (c->fc->nb_streams < 1)
         return AVERROR_INVALIDDATA;
@@ -6396,9 +6431,9 @@ static int mov_read_tmcd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_vpcc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_vpcc(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     int version, color_range, color_primaries, color_trc, color_space;
 
     if (c->fc->nb_streams < 1)
@@ -6418,10 +6453,10 @@ static int mov_read_vpcc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     avio_skip(pb, 3); /* flags */
 
     avio_skip(pb, 2); /* profile + level */
-    color_range     = avio_r8(pb); /* bitDepth, chromaSubsampling, videoFullRangeFlag */
+    color_range = avio_r8(pb); /* bitDepth, chromaSubsampling, videoFullRangeFlag */
     color_primaries = avio_r8(pb);
-    color_trc       = avio_r8(pb);
-    color_space     = avio_r8(pb);
+    color_trc = avio_r8(pb);
+    color_space = avio_r8(pb);
     if (avio_rb16(pb)) /* codecIntializationDataSize */
         return AVERROR_INVALIDDATA;
 
@@ -6432,17 +6467,17 @@ static int mov_read_vpcc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (!av_color_space_name(color_space))
         color_space = AVCOL_SPC_UNSPECIFIED;
 
-    st->codecpar->color_range     = (color_range & 1) ? AVCOL_RANGE_JPEG : AVCOL_RANGE_MPEG;
+    st->codecpar->color_range = (color_range & 1) ? AVCOL_RANGE_JPEG : AVCOL_RANGE_MPEG;
     st->codecpar->color_primaries = color_primaries;
-    st->codecpar->color_trc       = color_trc;
-    st->codecpar->color_space     = color_space;
+    st->codecpar->color_trc = color_trc;
+    st->codecpar->color_space = color_space;
 
     return 0;
 }
 
-static int mov_read_smdm(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_smdm(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVStreamContext *sc;
+    MOVStreamContext* sc;
     int i, version;
 
     if (c->fc->nb_streams < 1)
@@ -6487,10 +6522,10 @@ static int mov_read_smdm(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_mdcv(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_mdcv(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVStreamContext *sc;
-    const int mapping[3] = {1, 2, 0};
+    MOVStreamContext* sc;
+    const int mapping[3] = { 1, 2, 0 };
     const int chroma_den = 50000;
     const int luma_den = 10000;
     int i;
@@ -6531,9 +6566,9 @@ static int mov_read_mdcv(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_coll(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_coll(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVStreamContext *sc;
+    MOVStreamContext* sc;
     int version;
 
     if (c->fc->nb_streams < 1)
@@ -6553,7 +6588,7 @@ static int mov_read_coll(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
     avio_skip(pb, 3); /* flags */
 
-    if (sc->coll){
+    if (sc->coll) {
         av_log(c->fc, AV_LOG_WARNING, "Ignoring duplicate COLL\n");
         return 0;
     }
@@ -6562,15 +6597,15 @@ static int mov_read_coll(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (!sc->coll)
         return AVERROR(ENOMEM);
 
-    sc->coll->MaxCLL  = avio_rb16(pb);
+    sc->coll->MaxCLL = avio_rb16(pb);
     sc->coll->MaxFALL = avio_rb16(pb);
 
     return 0;
 }
 
-static int mov_read_clli(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_clli(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVStreamContext *sc;
+    MOVStreamContext* sc;
 
     if (c->fc->nb_streams < 1)
         return AVERROR_INVALIDDATA;
@@ -6582,7 +6617,7 @@ static int mov_read_clli(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return AVERROR_INVALIDDATA;
     }
 
-    if (sc->coll){
+    if (sc->coll) {
         av_log(c->fc, AV_LOG_WARNING, "Ignoring duplicate CLLI/COLL\n");
         return 0;
     }
